Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.volumes

## Interface VolumeValuesDType

- All Superinterfaces:
    `VolumeSizeValuesDType`
  All Known Subinterfaces:
    `PVolumeDType<S>`, `VolumeDType`
  All Known Implementing Classes:
    `PVolumeD`, `VolumeD`

      public interface VolumeValuesDType
      extends VolumeSizeValuesDType

  A volume with `double` coordinates.

  The coordinates of the volume are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `maximumX​()` |
    `double` | `maximumY​()` |
    `double` | `maximumZ​()` |
    `double` | `minimumX​()` |
    `double` | `minimumY​()` |
    `double` | `minimumZ​()` |
    `default double` | `sizeX​()` |
    `default double` | `sizeY​()` |
    `default double` | `sizeZ​()` |

- - ### Method Detail

    - #### minimumX

          @Parameter(order=0)
          double minimumX​()

      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          @Parameter(order=1)
          double maximumX​()

      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          @Parameter(order=2)
          double minimumY​()

      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          @Parameter(order=3)
          double maximumY​()

      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### minimumZ

          @Parameter(order=4)
          double minimumZ​()

      Returns:
        The value on the Z axis of the minimum edge of the box (inclusive)

    - #### maximumZ

          @Parameter(order=5)
          double maximumZ​()

      Returns:
        The value on the Z axis of the maximum edge of the box (exclusive)

    - #### sizeX

          default double sizeX​()

      Specified by:
        `sizeX` in interface `VolumeSizeValuesDType`
      Returns:
        The size of the area on the X axis

    - #### sizeY

          default double sizeY​()

      Specified by:
        `sizeY` in interface `VolumeSizeValuesDType`
      Returns:
        The size of the area on the Y axis

    - #### sizeZ

          default double sizeZ​()

      Specified by:
        `sizeZ` in interface `VolumeSizeValuesDType`
      Returns:
        The size of the area on the Z axis

Copyright © 2017 <code@io7m.com> http://io7m.com